Projects
Search projects by geographic radius
Returns projects within a geographic radius of a latitude/longitude point. Only projects the user has access to are included.
Parameters:
-
latitude(query, required): Center point latitude. -
longitude(query, required): Center point longitude. -
searchRadius(query, required): Search radius in miles.
GET
/
Project
/
Search
Search projects by geographic radius
curl --request GET \
--url https://api.plantpredict.terabase.energy/Project/Search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.plantpredict.terabase.energy/Project/Search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.plantpredict.terabase.energy/Project/Search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"latitude": 41.3844964,
"longitude": -83.32048069999999,
"country": "United States",
"countryCode": "US",
"stateProvince": "Ohio",
"stateProvinceCode": "OH",
"locality": "Gibsonburg",
"region": "North America",
"elevation": 208.6482391357422,
"standardOffsetFromUTC": -5,
"status": 0,
"distance": 0.38619901694003844,
"id": 173910,
"name": "Mock Project Hearthstone",
"companyId": 1042,
"createdDate": "2024-05-04T13:55:02.667"
},
{
"latitude": 41.361566704160964,
"longitude": -83.31704747246094,
"country": "United States",
"countryCode": "US",
"stateProvince": "Ohio",
"stateProvinceCode": "OH",
"locality": "Gibsonburg",
"region": "North America",
"elevation": 211.3801574707031,
"standardOffsetFromUTC": -5,
"status": 0,
"distance": 0.39669829386889693,
"id": 179578,
"name": "Mock Project Sandhill",
"companyId": 1042,
"createdDate": "2024-06-17T17:53:49.503"
},
{
"latitude": 41.36,
"longitude": -83.32,
"country": "United States",
"countryCode": "US",
"stateProvince": "Ohio",
"stateProvinceCode": "OH",
"locality": "Gibsonburg",
"region": "North America",
"elevation": 211.073486328125,
"standardOffsetFromUTC": -5,
"status": 0,
"distance": 0.39999999999999575,
"id": 123737,
"name": "Mock Project Buckeye",
"companyId": 1042,
"createdDate": "2023-05-18T19:31:59.313"
},
{
"latitude": 41.56,
"longitude": -83.45,
"country": "United States",
"countryCode": "US",
"stateProvince": "Ohio",
"stateProvinceCode": "OH",
"locality": "Millbury",
"region": "North America",
"elevation": 188.1432647705078,
"standardOffsetFromUTC": -5,
"status": 0,
"distance": 0.45177427992306346,
"id": 161410,
"name": "Mock Project Lakeview",
"companyId": 1042,
"createdDate": "2024-02-28T15:50:12.63"
},
{
"latitude": 41.27017568847599,
"longitude": -82.8878170336973,
"country": "United States",
"countryCode": "US",
"stateProvince": "Ohio",
"stateProvinceCode": "OH",
"locality": "Bellevue",
"region": "North America",
"elevation": 236.6902618408203,
"standardOffsetFromUTC": -5,
"status": 0,
"distance": 0.34838067455120497,
"id": 169082,
"name": "Mock Project Ridgeway",
"companyId": 1042,
"createdDate": "2024-03-28T18:30:10.057"
},
{
"latitude": 41.26418140161006,
"longitude": -82.88165923151855,
"country": "United States",
"countryCode": "US",
"stateProvince": "Ohio",
"stateProvinceCode": "OH",
"locality": "Bellevue",
"region": "North America",
"elevation": 238.0453338623047,
"standardOffsetFromUTC": -5,
"status": 0,
"distance": 0.356059922638487,
"id": 169080,
"name": "Mock Project Heartland",
"companyId": 1042,
"createdDate": "2024-03-28T18:01:38.047"
},
{
"latitude": 41.65404,
"longitude": -83.53674,
"country": "United States",
"countryCode": "US",
"stateProvince": "Ohio",
"stateProvinceCode": "OH",
"locality": "Toledo",
"region": "North America",
"elevation": 178.8838348388672,
"standardOffsetFromUTC": -5,
"status": 0,
"distance": 0.5394535653788881,
"id": 149782,
"name": "Mock Project Riverbend",
"companyId": 1042,
"createdDate": "2023-12-04T17:26:27.027"
},
{
"latitude": 41.6528052,
"longitude": -83.5378674,
"country": "United States",
"countryCode": "US",
"stateProvince": "Ohio",
"stateProvinceCode": "OH",
"locality": "Toledo",
"region": "North America",
"elevation": 178.5460357666016,
"standardOffsetFromUTC": -5,
"status": 0,
"distance": 0.5404532626692118,
"id": 159167,
"name": "Mock Project Keystone",
"companyId": 1042,
"createdDate": "2024-02-14T12:49:43.447"
},
{
"latitude": 41.6528052,
"longitude": -83.5378674,
"country": "United States",
"countryCode": "US",
"stateProvince": "Ohio",
"stateProvinceCode": "OH",
"locality": "Toledo",
"region": "North America",
"elevation": 178.5460357666016,
"standardOffsetFromUTC": -5,
"status": 0,
"distance": 0.5404532626692118,
"id": 159488,
"name": "Mock Project Keystone West",
"companyId": 1042,
"createdDate": "2024-02-15T13:14:09.907"
},
{
"latitude": 41.6528052,
"longitude": -83.5378674,
"country": "United States",
"countryCode": "US",
"stateProvince": "Ohio",
"stateProvinceCode": "OH",
"locality": "Toledo",
"region": "North America",
"elevation": 178.5460357666016,
"standardOffsetFromUTC": -5,
"status": 0,
"distance": 0.5404532626692118,
"id": 160126,
"name": "Mock Project Shadowline",
"companyId": 1042,
"createdDate": "2024-02-22T14:28:08.337"
},
{
"latitude": 41.6528052,
"longitude": -83.5378674,
"country": "United States",
"countryCode": "US",
"stateProvince": "Ohio",
"stateProvinceCode": "OH",
"locality": "Toledo",
"region": "North America",
"elevation": 178.5460357666016,
"standardOffsetFromUTC": -5,
"status": 0,
"distance": 0.5404532626692118,
"id": 170611,
"name": "Mock Project Glass City",
"companyId": 1042,
"createdDate": "2024-04-17T19:19:03.817"
},
{
"latitude": 41.6528052,
"longitude": -83.5378674,
"country": "United States",
"countryCode": "US",
"stateProvince": "Ohio",
"stateProvinceCode": "OH",
"locality": "Toledo",
"region": "North America",
"elevation": 178.5460357666016,
"standardOffsetFromUTC": -5,
"status": 0,
"distance": 0.5404532626692118,
"id": 134680,
"name": "Mock Project Albedo Forge",
"companyId": 1042,
"createdDate": "2023-08-16T15:15:53.767"
}
]"An error has occurred."Authorizations
Pass Authorization: Bearer <token> on every request. See the Authentication section of the API description for how to fetch a token.
Query Parameters
Response
Matching projects
ProjectStatusEnum
Available options:
0, 1, 2 ISO-8601 datetime as returned by the PlantPredict API. May or may not include a timezone offset; treat as server-local when no offset is present.
⌘I
Search projects by geographic radius
